from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, Int, String, File

Sra_Stat_2_V0_1_0 = CommandToolBuilder(tool="sra_stat.2", base_command=["sra-stat.2"], inputs=[ToolInput(tag="in_xml", input_type=Boolean(optional=True), prefix="--xml", doc=InputDocumentation(doc="output as XML, default is text")), ToolInput(tag="in_start", input_type=Int(optional=True), prefix="--start", doc=InputDocumentation(doc="starting spot id, default is 1")), ToolInput(tag="in_stop", input_type=Int(optional=True), prefix="--stop", doc=InputDocumentation(doc="ending spot id, default is max")), ToolInput(tag="in_meta", input_type=Boolean(optional=True), prefix="--meta", doc=InputDocumentation(doc="print load metadata")), ToolInput(tag="in_quick", input_type=Boolean(optional=True), prefix="--quick", doc=InputDocumentation(doc="quick mode: get statistics from metadata; do\nnot scan the table")), ToolInput(tag="in_member_stats", input_type=String(optional=True), prefix="--member-stats", doc=InputDocumentation(doc="print member stats, default is on")), ToolInput(tag="in_archive_info", input_type=Boolean(optional=True), prefix="--archive-info", doc=InputDocumentation(doc="output archive info, default is off")), ToolInput(tag="in_statistics", input_type=Boolean(optional=True), prefix="--statistics", doc=InputDocumentation(doc="calculate READ_LEN average and standard")), ToolInput(tag="in_show_progress", input_type=Boolean(optional=True), prefix="--show_progress", doc=InputDocumentation(doc="show the percentage of completion")), ToolInput(tag="in_ngc", input_type=File(optional=True), prefix="--ngc", doc=InputDocumentation(doc="path to ngc file")), ToolInput(tag="in_xml_log", input_type=File(optional=True), prefix="--xml-log", doc=InputDocumentation(doc="produce XML-formatted log file")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_deviation", input_type=String(), position=0, doc=InputDocumentation(doc="-a|--alignment <on | off>        print alignment info, default is on ")), ToolInput(tag="in_quit_dot", input_type=String(), position=1, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="sra-stat.2 : 2.10.8"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Sra_Stat_2_V0_1_0().translate("wdl", allow_empty_container=True)

